%define oname rdflib

Summary:	Python library for working with RDF
Name:		python-%{oname}
Version:	4.2.1
Release:	%mkrel 2
Source0:	http://pypi.python.org/packages/source/r/%{oname}/%{oname}-%{version}.tar.gz
License:	BSD
Group:		Development/Python
BuildArch:	noarch
BuildRequires:	python-setuptools
Requires:       python-isodate
URL:		https://github.com/RDFLib/rdflib

%description
RDFLib is a Python library for working with RDF, a simple yet powerful
language for representing information.

The library contains parsers and serializers for RDF/XML, N3,
NTriples, Turtle, TriX and RDFa . The library presents a Graph
interface which can be backed by any one of a number of Store
implementations, including, Memory, MySQL, Redland, SQLite, Sleepycat
and SQLObject.

%package -n python3-%{oname}
Summary:	Python 3 library for working with RDF
Group: 		Development/Python
BuildRequires:	python3-setuptools
Requires:       python3-isodate

%description -n python3-%{oname}
RDFLib is a Python 3 library for working with RDF, a simple yet powerful
language for representing information.

The library contains parsers and serializers for RDF/XML, N3,
NTriples, Turtle, TriX and RDFa . The library presents a Graph
interface which can be backed by any one of a number of Store
implementations, including, Memory, MySQL, Redland, SQLite, Sleepycat
and SQLObject.  

%prep
%setup -q -n %{oname}-%{version}
find -name "*.pyc" -delete
cp -a . %{py3dir}

%build
%py2_build

pushd %{py3dir}
%py3_build
popd

%install
pushd %{py3dir}
%py3_install
%{__mv} %{buildroot}%{_bindir}/csv2rdf %{buildroot}%{_bindir}/python3-csv2rdf
%{__mv} %{buildroot}%{_bindir}/rdf2dot %{buildroot}%{_bindir}/python3-rdf2dot
%{__mv} %{buildroot}%{_bindir}/rdfgraphisomorphism %{buildroot}%{_bindir}/python3-rdfgraphisomorpishm
%{__mv} %{buildroot}%{_bindir}/rdfpipe %{buildroot}%{_bindir}/python3-rdfpipe
%{__mv} %{buildroot}%{_bindir}/rdfs2dot %{buildroot}%{_bindir}/python3-rdfs2dot

%__rm -rf %{buildroot}%{python3_sitelib}/test
popd

%py2_install
%__rm -rf %{buildroot}%{python_sitelib}/test


%files
%license LICENSE
%exclude %{_bindir}/python3-*
%{_bindir}/*
%{python2_sitelib}/*

%files -n python3-%{oname}
%license LICENSE
%{_bindir}/python3-*
%{python3_sitelib}/*



%changelog
* Sat Feb 20 2016 umeabot <umeabot> 4.2.1-2.mga6
+ Revision: 971136
- Mageia 6 Mass Rebuild

* Sat Oct 10 2015 philippem <philippem> 4.2.1-1.mga6
+ Revision: 889335
- update to 4.2.1

* Wed Oct 15 2014 umeabot <umeabot> 4.1.2-5.mga5
+ Revision: 749689
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 4.1.2-4.mga5
+ Revision: 729620
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 4.1.2-3.mga5
+ Revision: 688302
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 4.1.2-2.mga5
+ Revision: 628985
- Rebuild for new Python

* Sat May 10 2014 philippem <philippem> 4.1.2-1.mga5
+ Revision: 621851
- update to 4.1.2

* Tue Oct 22 2013 umeabot <umeabot> 4.0.1-4.mga4
+ Revision: 544156
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 4.0.1-3.mga4
+ Revision: 499283
- Rebuild to add different pythonegg provides for python 2 and 3

* Mon Oct 07 2013 philippem <philippem> 4.0.1-2.mga4
+ Revision: 492448
- remove hard dep pyparsing

* Fri Aug 16 2013 philippem <philippem> 4.0.1-1.mga4
+ Revision: 466992
- update to 4.0.1, add Python 3

* Sun Jan 13 2013 umeabot <umeabot> 3.2.3-3.mga3
+ Revision: 379427
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 dmorgan <dmorgan> 3.2.3-2.mga3
+ Revision: 338902
- python-isodate is required by python-rdflib

* Sun Dec 23 2012 philippem <philippem> 3.2.3-1.mga3
+ Revision: 334279
- Update to 3.2.3

* Tue Sep 20 2011 lebedov <lebedov> 3.1.0-1.mga2
+ Revision: 146142
- Update to 3.1.0.

* Sat Mar 26 2011 dmorgan <dmorgan> 2.4.2-3.mga1
+ Revision: 77534
- imported package python-rdflib


* Mon Nov 01 2010 Götz Waschk <waschk@mandriva.org> 2.4.2-3mdv2011.0
+ Revision: 591518
- rebuild for python 2.7

  + Michael Scherer <misc@mandriva.org>
    - rebuild for python 2.7

* Thu Oct 07 2010 Götz Waschk <waschk@mandriva.org> 2.4.2-1mdv2011.0
+ Revision: 583931
- update to new version 2.4.2

* Fri Aug 06 2010 Götz Waschk <waschk@mandriva.org> 2.4.0-1mdv2011.0
+ Revision: 566625
- downgrade to 2.4.0
- update file list
- no more noarch

* Fri Aug 06 2010 Götz Waschk <waschk@mandriva.org> 3.0.0-1mdv2011.0
+ Revision: 566599
- import python-rdflib


